import ViewMessageService from '../view-message-service';
/**
 * 雷达图视图消息服务对象基类
 * 基于 APP/src/message/%APP_MSG%/%APP_MSG%-message-base.ts.ftl 生成
 * @export
 * @class ViewMsg81MessageServiceBase
 */
export default class ViewMsg81MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg81MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg81MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg81MessageServiceBase
     */
    public initBasicParam(){
        this.id = "26b6265871b65497cb223600ea2ef129";
        this.name = "雷达图";
        this.codename = "ViewMsg81";
        this.title = "";
        this.content = "本示例展示订单软硬件雷达图。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg81MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}